Ana içeriğe atla

Bu tarayıcı artık desteklenmiyor.

En son özelliklerden, güvenlik güncelleştirmelerinden ve teknik destekten faydalanmak için Microsoft Edge’e yükseltin.

Microsoft Edge'i indirin Internet Explorer ve Microsoft Edge hakkında daha fazla bilgi
microsoft-foundry.rest.security.o-auth2-auth

Memory Stores

Create a memory store

POST /memory_stores

Creates a memory store resource with the provided configuration.

Üst bilgi parametreleri

Foundry-Features enum gerekli

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

MemoryStores=V1Preview

Sorgu parametreleri

api-version string gerekli

The API version to use for this operation.

İstek Gövdesi

Content-Type: application/json
name string gerekli

The name of the memory store.

description string

A human-readable description of the memory store.

metadata object

Arbitrary key-value metadata to associate with the memory store.

[key: string] string
definition default gerekli

Base definition for memory store configurations.

Aşağıdakilerden biri:
default MemoryStoreDefaultDefinition

Default memory store implementation.

kind enum gerekli

The kind of the memory store.

default
chat_model string gerekli

The name or identifier of the chat completion model deployment used for memory processing.

embedding_model string gerekli

The name or identifier of the embedding model deployment used for memory processing.

options MemoryStoreDefaultOptions

Default memory store configurations.

user_profile_enabled boolean gerekli

Whether to enable user profile extraction and storage. Default is true.

user_profile_details string

Specific categories or types of user profile information to extract and store.

chat_summary_enabled boolean gerekli

Whether to enable chat summary extraction and storage. Defaults to true.

procedural_memory_enabled boolean

Whether to enable procedural memory extraction and storage. The service defaults to true if a value is not specified by the caller.

default_ttl_seconds integer

The default time-to-live for memories in seconds. A value of 0 indicates that memories do not expire. Defaults to 0.

Yanıtlar

The request has succeeded.

Gövde

Content-Type: application/json
object enum gerekli

The object type, which is always 'memory_store'.

memory_store
id string gerekli

The unique identifier of the memory store.

created_at integer gerekli
updated_at integer gerekli
name string gerekli

The name of the memory store.

description string

A human-readable description of the memory store.

metadata object

Arbitrary key-value metadata to associate with the memory store.

[key: string] string
definition default gerekli

Base definition for memory store configurations.

Aşağıdakilerden biri:
default MemoryStoreDefaultDefinition

Default memory store implementation.

kind enum gerekli

The kind of the memory store.

default
chat_model string gerekli

The name or identifier of the chat completion model deployment used for memory processing.

embedding_model string gerekli

The name or identifier of the embedding model deployment used for memory processing.

options MemoryStoreDefaultOptions

Default memory store configurations.

user_profile_enabled boolean gerekli

Whether to enable user profile extraction and storage. Default is true.

user_profile_details string

Specific categories or types of user profile information to extract and store.

chat_summary_enabled boolean gerekli

Whether to enable chat summary extraction and storage. Defaults to true.

procedural_memory_enabled boolean

Whether to enable procedural memory extraction and storage. The service defaults to true if a value is not specified by the caller.

default_ttl_seconds integer

The default time-to-live for memories in seconds. A value of 0 indicates that memories do not expire. Defaults to 0.

Client error

Gövde

Content-Type: application/json
error OpenAI.Error gerekli
code string | null gerekli
message string gerekli
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Aşağıdakilerden biri:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string gerekli

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Gövde

Content-Type: application/json
error OpenAI.Error gerekli
code string | null gerekli
message string gerekli
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Aşağıdakilerden biri:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string gerekli

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

İstek

POST /memory_stores HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
tr-tr
Gizlilik Tercihleriniz
  • AI Bildirim
  • Önceki Sürümler
  • Blog
  • Katkıda Bulunun
  • Gizlilik
  • Tüketici Sağlığı Gizliliği
  • Kullanım Koşulları
  • Ticari Markalar
  • © Microsoft 2026